SystemLink Client 19.0 Doesn't Appears as an Option to Install on myRIO

Updated Aug 8, 2019

Reported In

Hardware

  • myRIO Student Embedded Device

Software

  • SystemLink Client
  • Measurement & Automation Explorer (MAX)
  • LabVIEW Real-Time Module

Issue Details

I am trying to install SystemLink Client 19.0 on myRIO. I have done it using previous versions of SystemLink Client but since I upgraded to SystemLink Client 19.0, this options does not appears anymore as shows:


Is SystemLink Client 19.0 compatible with Real-Time Module or with myRIO?

Solution

It is recommendeded not to use SystemLink with myRIO. SystemLink only supports RT targets with more than 512MB of RAM and myRIO only has 256MB of RAM.
The installation of SystemLink 19.0 and higher on myRIO is blocked, so you won't be able to install it.

Additional Information

When you run a target with insufficient RAM, the target operating system will begin to stop processes, LabVIEW applications and other critical services; causing the target operating system to crash.